|  | Home · All Classes · Modules

# QStyleOptionToolBoxV2 Class Reference
[QtGui module]

The QStyleOptionToolBoxV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above. More...

Inherits QStyleOptionToolBox.

### Types

- enum SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected }
- enum StyleOptionVersion { Version }
- enum TabPosition { Beginning, Middle, End, OnlyOneTab }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionToolBoxV2 other)
- __init__ (self, QStyleOptionToolBox other)

### Members

- TabPosition position
- SelectedPosition selectedPosition

## Detailed Description

The QStyleOptionToolBoxV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.3 or above.

QStyleOptionToolBoxV2 inherits QStyleOptionToolBox which is used for drawing the tabs in a QToolBox.

An instance of the QStyleOptionToolBoxV2 class has type SO_ToolBox and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionToolBox and QStyleOptionToolBoxV2.

## Type Documentation

### QStyleOptionToolBoxV2.SelectedPosition

This enum describes the position of the selected tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2.NotAdjacent` | `0` | The tab is not adjacent to a selected tab (or is the selected tab).
`QStyleOptionToolBoxV2.NextIsSelected` | `1` | The next tab (typically the tab on the right) is selected.
`QStyleOptionToolBoxV2.PreviousIsSelected` | `2` | The previous tab (typically the tab on the left) is selected.

See also selectedPosition.

### QStyleOptionToolBoxV2.StyleOptionVersion

This enum holds the version of this style option

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2.Version` | `2` | 2

### QStyleOptionToolBoxV2.TabPosition

This enum describes tab positions relative to other tabs.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBoxV2.Beginning` | `0` | The tab is the first (i.e., top-most) tab in the toolbox.
`QStyleOptionToolBoxV2.Middle` | `1` | The tab is placed in the middle of the toolbox.
`QStyleOptionToolBoxV2.End` | `2` | The tab is placed at the bottom of the toolbox.
`QStyleOptionToolBoxV2.OnlyOneTab` | `3` | There is only one tab in the toolbox.

## Method Documentation

### QStyleOptionToolBoxV2.__init__ (self)

Contsructs a QStyleOptionToolBoxV2 object.

### QStyleOptionToolBoxV2.__init__ (self, QStyleOptionToolBoxV2 other)

Constructs a QStyleOptionToolBoxV2 copy of the other style option.

### QStyleOptionToolBoxV2.__init__ (self, QStyleOptionToolBox other)

Constructs a QStyleOptionToolBoxV2 copy of the other style option which can be either of the QStyleOptionToolBoxV2 or QStyleOptionToolBox types.

If the other style option's version is 1, the new style option's position value is set to QStyleOptionToolBoxV2.Beginning and selectedPosition is set to QStyleOptionToolBoxV2.NotAdjacent. If its version is 2, the position selectedPosition values are simply copied to the new style option.

See also version.

## Member Documentation

### TabPosition position

### SelectedPosition selectedPosition

This variable holds the position of the selected tab in relation to this tab.

The default value is NotAdjacent, i.e. the tab is not adjacent to a selected tab nor is it the selected tab.